# -*- coding: utf-8 -*-
# @Time    : 2019/5/24 15:29
# @Author  : MasterGuo
# @Email   : guowj@bigaka.com

from utils import post_data, get_time_str


def upload_order_async():
	method = "/sale/order/offLine/uplodaAsync"
	data = {}
	# 会员信息
	memberInfo = {}
	# 舞象系统会员数据唯一主键
	memberInfo["memberId"] = "700000000013568"
	# 手机号
	# memberInfo["mobile"] = "15618778396"
	# memberInfo["mobile"] = "15618778396"
	# 微信 open_id
	# memberInfo["openId"] = "oUOIF0clIJgU9qT44wvjGEjJgRjI"
	# 线上卡号
	# memberInfo["cardNoOnline"] = ""
	# 线下卡号
	# memberInfo["cardNoOffline"] = ""
	# 支付信息
	payInfo = {}
	# 支付类型 alipay：支付宝 weixin：微信 cash：现金 store_card：储值卡
	payInfo["payType"] = "alipay"
	# 支付金额 单位:分
	payInfo["payMoney"] = 200
	# 交易流水号
	payInfo["serialId"] = get_time_str(3)
	# 积分支付信息
	pointPayInfo = {}
	# 实际支付积分值
	pointPayInfo["payPoint"] = 1000
	# 积分对等的金额 单位:分
	pointPayInfo["payMoney"] = 200
	# 商品信息
	productInfo = {}
	# 商品序号, 订单内存在同一个sku商品时 使用,用于区分商品
	# productInfo["index"] = ""
	# 商品 CODE
	productInfo["productCode"] = "101659"
	# 商品 SKU CODE
	productInfo["skuCode"] = "101659,"
	# 购买商品数量
	productInfo["productCount"] = "1"
	# 商品单价 单位:分
	productInfo["productMoney"] = "10000"
	# 当前商品优惠总金额 默认为0
	# productInfo["couponMoney"] = "0"
	# 积分对等的金额 单位:分
	# productInfo["couponInfo"] = couponInfo
	# 优惠信息
	couponInfo = {}
	# 使用的优惠券 CODE
	couponInfo["couponCode"] = "13131241"
	# 优惠券针对整单商品的优惠金额
	couponInfo["couponMoney"] = "100"
	# 优惠券名称
	couponInfo["couponName"] = "10元抵扣券"
	# 参与营销活动信息,非必填,默认字段 gift_point 是否赠送积分默认为true
	otherInfo = {}
	# 是否消费送积分true
	otherInfo["giftPoint"] = "true"
	# 是否消费送经验值true
	otherInfo["giftExp"] = "true"
	# 订单优惠计算类型true(true:商品优惠金额汇总计算 false:订单总优惠金额)
	otherInfo["calcCouponType"] = "true"
	# 是否消费送积分false
	otherInfo["destroyCoupon"] = "true"
	# 是否校验并扣减 抵扣积分false
	otherInfo["deductionPoint"] = "true"
	# 会员信息
	data["memberInfo"] = memberInfo
	# 订单来源渠道
	data["orderChannel"] = "线下pos"
	# 商品总金额 单位:分
	data["totalProductMoney"] = "10000"
	# 优惠总金额 单位:分
	data["couponMoney"] = "100"
	# 应支付金额 (商品总金额-优惠总金额) 单位:分
	data["needPayMoney"] = "10000"
	# 实际支付金额 单位:分
	data["realPayMoney"] = "10000"
	# 支付信息
	data["payInfo"] = [payInfo]
	# 积分支付信息
	data["pointPayInfo"] = pointPayInfo
	# 订单创建时间yyyy-MM-dd HH:mm:ss
	data["createTime"] = get_time_str(1)
	# 支付时间 yyyy-MM-dd HH:mm:ss
	data["payTime"] = get_time_str(1)
	# 下单门店 CODE
	data["storeCode"] = "1002"
	# 线下订单编号
	# data["orderNo"] = get_time_str(3)
	data["orderNo"] = "30119052715561572125795"
	# 机器号
	# data["machineNo"] = "10001"
	# 商品信息
	# data["productInfo"] = [productInfo]
	# 优惠信息
	# data["couponInfo"] = [couponInfo]
	# 参与营销活动信息,非必填,默认字段 gift_point 是否赠送积分默认为true
	# data["otherInfo"] = otherInfo
	
	# print(data)
	# data = "".join(json.dumps(data, ensure_ascii=False).split()).replace("&"," ")
	# data = json.loads(data)
	post_data(method, data)


if __name__ == '__main__':
	upload_order_async()
